# upload\_public\_file\_from\_vaccount

Upload from LiquidAccount and pin

```javascript
import { getClient } from "./client";
const ecc = require("eosjs-ecc");

(async () => {
    const service = await (await getClient()).service('storage', "5jqee4kl1ns1");
    const data = Buffer.from("a great LiquidAccount success", "utf8");
    const vAccount1 = `vaccount1`;
    const privateKeyWif = "5HzXLtjFr34BCBYzjYeMgKGyvZJ41VqhcCAwUb5mKhtdDmQwnEB";
    const options = {
      // if true, DAG leaves will contain raw file data and not be wrapped in a protobuf
      rawLeaves: true
    };
    const response = await service.upload_public_file_from_vaccount(
      data, 
      {
        name: vAccount1,
        key: privateKeyWif
      },
      options
    );
    console.log(`uri: ${response.uri}`);
})().catch((e) => { console.log(e); });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidapps.io/liquidapps-documentation/dapp-network-services/dapp-network-services/liquidstorage/tools/dapp-client-integration/upload_public_file_from_vaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
